/*
 *
 *  ߥˡ˥塼꡼
 *
 *  Copyright 1996-2000 Matsushita Soft-Research, INC. A.Takuma
 *
 *  System      : Mini News Reader
 *  Sub system  : MIME multipart select define
 *  File        : mimepart.h
 *  Version     : 1.22
 *  First Edit  : 1996-12/08
 *  Last  Edit  : 2000-05/28
 *  Author      : MSRS3  
 *
 */

#ifndef	__MIMEPART_H__
#define	__MIMEPART_H__

#define	MIME_ALLOC_COUNT	8
#define	MIME_SUBJECT_LEN	46

/*
 * MIME ƥĹ¤
 */

typedef struct content_list	CONTENT_LIST;
struct content_list {
  CONTENT_LIST	*next_ptr;		/* ΥƥĤؤΥݥ	*/
  MIME_MTYPE	c_mtype;		/* MIME ᥤ󥿥		*/
  MIME_STYPE	c_stype;		/* MIME ֥		*/
  MIME_TTYPE	c_ttype;		/* MIME ž		*/
  char		c_name[PATH_BUFF];	/* MIME ƥ̾		*/
  long		c_size;			/* MIME ƥĥ	*/
};

/*
 * MIME ĥҹ¤
 */

typedef struct mime_extension	MIME_EXTENSION;
struct mime_extension {
  char		*extension;		/* MIME ĥ			*/
  MIME_MTYPE	mtype;			/* MIME ᥤ󥿥		*/
  MIME_STYPE	stype;			/* MIME ֥		*/
};

extern int	mime_news_group;	/* MIME ˥塼롼	*/
extern char	mpeg_command[];		/* MPEG  ޥ		*/
extern char	jpeg_command[];		/* JPEG  ɽޥ		*/
extern char	gif_command[];		/* GIF   ɽޥ		*/
extern char	audio_command[];	/* AUDIO ޥ		*/
extern char	ps_command[];		/* PostScript ɽޥ	*/

#ifdef	__STDC__
extern int	mime_manage(FILE*, MIME_MTYPE, MIME_STYPE, MIME_TTYPE, char*);
					/* MIME 			*/
extern int	mime_part_menu(char*, char*, int, MIME_STYPE);
					/* MIME ѡȥ˥塼		*/
extern void	mime_ask_content(void);	/* MIME ƥϿ		*/
extern int	mime_get_content_num(void);
					/* MIME ƥĿ	*/
extern void	mime_create_boundary(char*, int);
					/* MIME 		*/
extern long	mime_encode_content(FILE*, char*);
					/* MIME ƥĥ󥳡	*/
#else	/* !__STDC__ */
extern int	mime_manage();		/* MIME 			*/
extern int	mime_part_menu();	/* MIME ѡȥ˥塼		*/
extern void	mime_ask_content();	/* MIME ƥϿ		*/
extern int	mime_get_content_num();	/* MIME ƥĿ	*/
extern void	mime_create_boundary();	/* MIME 		*/
extern long	mime_encode_content();	/* MIME ƥĥ󥳡	*/
#endif	/* !__STDC__ */
#endif	/* !__MIMEPART_H__ */
