/*
 *
 *  ĥ饤֥
 *
 *  Copyright 1990-1999 Matsushita Soft-Research, INC. A.Takuma
 *
 *  System      : Kanji External Library
 *  Sub system  : library define
 *  File        : kanjiext.h
 *  Version     : 2.20
 *  First Edit  : 1990-11/01
 *  Last  Edit  : 1999-12/15
 *  Author      : MSRS3  
 *
 */

#ifndef	__KANJIEXT_H__
#define	__KANJIEXT_H__

struct translate {
  char	*yomi;
  char	*hiragana;
  char	*katakana;
};

extern struct translate trans_data[];
extern int		trans_size;

extern int		kana_cnv_mode;		/* Ҳ̾Ѵ⡼	*/

#ifdef	__STDC__
extern int	euc_han_to_zen1(char*, char*);
					/* EUC X0201X0208 1 ʸѴ	*/
extern int	euc_han_to_zen(char*, char*);
					/* EUC X0201X0208 ʸѴ	*/
extern int	euc_zen_to_han1(char*, char*);
					/* EUC X0208X0201 1 ʸѴ	*/
extern int	euc_zen_to_han(char*, char*);
					/* EUC X0208X0201 ʸѴ	*/
extern void	euc_hira_to_kana(char*, char*);
					/* ʿ̾Ҳ̾Ѵ	*/
extern void	euc_kana_to_hira(char*, char*);
					/* Ҳ̾ʿ̾Ѵ	*/
extern void	euc_exchange_hira_kana(char*, char*);
					/* ʿ̾Ҳ̾Ѵ	*/
extern void	euc_hira_to_roma(char*, char*);
					/* ʿ̾޻Ѵ	*/
extern void	euc_kana_to_roma(char*, char*);
					/* Ҳ̾޻Ѵ	*/
extern void	euc_hira_kana_to_roma(char*, char*);
					/* ʿҲ̾޻Ѵ	*/
extern void	euc_roma_to_hira(char*, char*);
					/* ޻ʿ̾Ѵ	*/
extern void	euc_roma_to_kana(char*, char*);
					/* ޻Ҳ̾Ѵ	*/
#ifdef	SUPPORT_X0201
extern void	jis_hankana_to_zen(char*, char*, int);
					/* JIS X0201ʢX0208Ѵ	*/
extern void	euc_hankana_to_zen(char*, char*, int);
					/* EUC X0201ʢX0208Ѵ	*/
extern void	sjis_hankana_to_zen(char*, char*, int);
					/* SJIS X0201ʢX0208Ѵ */
#endif	/* SUPPORT_X0201 */
#else	/* !__STDC__ */
extern int	euc_han_to_zen1();	/* EUC X0201X0208 1 ʸѴ	*/
extern int	euc_han_to_zen();	/* EUC X0201X0208 ʸѴ	*/
extern int	euc_zen_to_han1();	/* EUC X0208X0201 1 ʸѴ	*/
extern int	euc_zen_to_han();	/* EUC X0208X0201 ʸѴ	*/
extern void	euc_hira_to_kana();	/* ʿ̾Ҳ̾Ѵ	*/
extern void	euc_kana_to_hira();	/* Ҳ̾ʿ̾Ѵ	*/
extern void	euc_exchange_hira_kana();
					/* ʿ̾Ҳ̾Ѵ	*/
extern void	euc_hira_to_roma();	/* ʿ̾޻Ѵ	*/
extern void	euc_kana_to_roma();	/* Ҳ̾޻Ѵ	*/
extern void	euc_hira_kana_to_roma();/* ʿҲ̾޻Ѵ	*/
extern void	euc_roma_to_hira();	/* ޻ʿ̾Ѵ	*/
extern void	euc_roma_to_kana();	/* ޻Ҳ̾Ѵ	*/
#ifdef	SUPPORT_X0201
extern void	jis_hankana_to_zen();	/* JIS X0201ʢX0208Ѵ	*/
extern void	euc_hankana_to_zen();	/* EUC X0201ʢX0208Ѵ	*/
extern void	sjis_hankana_to_zen();	/* SJIS X0201ʢX0208Ѵ */
#endif	/* SUPPORT_X0201 */
#endif	/* !__STDC__ */
#endif	/* !__KANJIEXT_H__ */
